> ## Documentation Index
> Fetch the complete documentation index at: https://docs.topograph.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a credential



## OpenAPI

````yaml delete /v2/workspaces/{name}/vault/{sourceKey}
openapi: 3.0.0
info:
  title: Topograph
  description: The Topograph API
  version: '0.1'
  contact: {}
servers:
  - url: https://api.topograph.co
security:
  - x-api-key: []
tags: []
paths:
  /v2/workspaces/{name}/vault/{sourceKey}:
    delete:
      tags:
        - Vault
      summary: Delete a credential
      operationId: VaultController_remove_v2
      parameters:
        - name: sourceKey
          required: true
          in: path
          schema:
            type: string
            example: de_transparenzregister
        - name: name
          required: true
          in: path
          description: Workspace `name` (not the UUID `id` returned on creation)
          schema:
            example: default
      responses:
        '204':
          description: Entry deleted.
        '404':
          description: No entry stored for this (workspace, sourceKey).
components:
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````